curl --request GET \
--url https://YOURSITE.konstant.ly/openapi/v1/courses/123/assignments/groups \
--header 'X-API-KEY: 1qaz2wsx3edc4rfv1qaz2wsx3edc4rfv'
{
"assignments": [
{
"assignedAt": 1443183322,
"deadlineAt": 0,
"deadlinePeriod": {
"measure": "months",
"value": 3
},
"group": {
"id": 1,
"parentId": null,
"name": "Sales Team",
"usersCount": 10,
"coursesCount": 5
}
}
],
"totalCount": 1
}
Courses
List Course Groups
Get the list of groups assigned to the course
GET
/
courses
/
{courseId}
/
assignments
/
groups
curl --request GET \
--url https://YOURSITE.konstant.ly/openapi/v1/courses/123/assignments/groups \
--header 'X-API-KEY: 1qaz2wsx3edc4rfv1qaz2wsx3edc4rfv'
{
"assignments": [
{
"assignedAt": 1443183322,
"deadlineAt": 0,
"deadlinePeriod": {
"measure": "months",
"value": 3
},
"group": {
"id": 1,
"parentId": null,
"name": "Sales Team",
"usersCount": 10,
"coursesCount": 5
}
}
],
"totalCount": 1
}
Retrieve a list of all groups that have been assigned to a specific course.
Path Parameters
integer
required
The unique identifier of the course
Request Headers
string
required
API Key. Go to your Konstantly site > Settings > API and copy the value from there.
Response
array
required
Array of group assignment objects
Show Assignment object properties
Show Assignment object properties
integer
required
Timestamp when the course was assigned
integer
Exact timestamp when the assignment expires
object
integer
required
Total number of group assignments
Error Responses
object
curl --request GET \
--url https://YOURSITE.konstant.ly/openapi/v1/courses/123/assignments/groups \
--header 'X-API-KEY: 1qaz2wsx3edc4rfv1qaz2wsx3edc4rfv'
{
"assignments": [
{
"assignedAt": 1443183322,
"deadlineAt": 0,
"deadlinePeriod": {
"measure": "months",
"value": 3
},
"group": {
"id": 1,
"parentId": null,
"name": "Sales Team",
"usersCount": 10,
"coursesCount": 5
}
}
],
"totalCount": 1
}
Was this page helpful?